
+MDSParameters = {
 Class=MDSObjLoader
 Shot=-1
/*
 +Connection_tcvdata_tcv_shot_vista = {
  Class=MDSObjConnection
  Server=tcvdata.epfl.ch
  Tree=tcv_shot
  +SCDnode02_tp-ADCgains-RVLOOP_gains                 = { Class=MDSParVector                   Path="mag_live_gains('RVLOOP','GAIN')"        }
 }
*/
 +Connection_spcpc171 = {
  Class=MDSObjConnection
  Server=spcpc171.epfl.ch
  Tree=martetest
  Shot=1
  +testenum                 			      = { Class=MDSParEnum                     Path="ENUM1" EnumCode = {0,1,2,3} EnumVal = {"ZHHFS","ZHLFS","Z0HFS","Z0LFS"}        }
 }
}


$TestApp = {
    Class = RealTimeApplication
    +Functions = {
        Class = ReferenceContainer
        +GAMTimer = {
            Class = IOGAM
            InputSignals = {
                Counter = 	{ 				DataSource = Timer Type = uint32 }                
                Time 	= 	{ Frequency = 1 DataSource = Timer Type = uint32 }
            }
            OutputSignals = {
                Counter = {                 DataSource = DDB1  Type = uint32 }                
                Time = {                	DataSource = DDB1  Type = uint32 }            
            }
        }
	    +Constants = {
	     Class = ConstantGAM
	     OutputSignals = {
				it	= { DataSource = DDB1 Type = int32  NumberOfElements = 1   NumberOfDimensions=1 }
				time	= { DataSource = DDB1 Type = float32  NumberOfElements = 1   NumberOfDimensions=1 }
				data	= { DataSource = DDB1 Type = int16  NumberOfElements = 528   NumberOfDimensions=1 }				
				realtime	= { DataSource = DDB1 Type = float32  NumberOfElements = 1   NumberOfDimensions=1 }
				input	= { DataSource = DDB1 Type = float32  NumberOfElements = 1   NumberOfDimensions=1 Default={1.5} }


	     }
	    }
		+GAMSimulink1 = {
 			Class = SimulinkWrapperGAM
			Library = "/root/SCDalgo_template.so"
			SymbolPrefix = "SCDalgo_template"
			
			Verbosity = 2
			TunParSourceGAM = MDSParameters
			SkipNotOkTunParams = 1
			InputSignals = {		
				realtime	= { DataSource = DDB1 Type = float32  NumberOfElements = 1   NumberOfDimensions=1 }
				input	= { DataSource = DDB1 Type = float32  NumberOfElements = 1   NumberOfDimensions=1 }
 			}
 			OutputSignals = { 
				output	= { DataSource = DDB1 Type = uint8  NumberOfElements = 96   NumberOfDimensions=1 }		
 			}
		}
		+LoggerBroker = {
		 Class = IOGAM
		 InputSignals = {
		 	output1  = 	    { DataSource = DDB1 Type = uint8  NumberOfElements = 96 Ranges={{0,3}}   Alias=output }
		 	output11  = 	    { DataSource = DDB1 Type = uint8  NumberOfElements = 96 Ranges={{40,43}} Alias=output }
		 	qtag1  = 	    { DataSource = DDB1 Type = uint8  NumberOfElements = 96 Ranges={{44,44}} Alias=output }
		 	pstate1  = 	    { DataSource = DDB1 Type = uint8  NumberOfElements = 96 Ranges={{45,45}} Alias=output }
		 	outputint  = 	    { DataSource = DDB1 Type = uint8  NumberOfElements = 96 Ranges={{88,91}} Alias=output }
		 	qtag3  = 	    { DataSource = DDB1 Type = uint8  NumberOfElements = 96 Ranges={{92,92}} Alias=output }
		 	pstate3  = 	    { DataSource = DDB1 Type = uint8  NumberOfElements = 96 Ranges={{93,93}} Alias=output }
		 }
		 OutputSignals =
		 {
            output1= 		{ DataSource = LoggerDataSource Type = float32 }
            output11= 		{ DataSource = LoggerDataSource Type = float32 }
            qtag1= 		{ DataSource = LoggerDataSource Type = int8 }
            pstate1= 		{ DataSource = LoggerDataSource Type = int8 }

            outputint= 		{ DataSource = LoggerDataSource Type = int32 }
            qtag3= 		{ DataSource = LoggerDataSource Type = int8 }
            pstate3= 		{ DataSource = LoggerDataSource Type = int8 }

		 }
		} 
    }
    +Data = {
        Class = ReferenceContainer
        DefaultDataSource = DDB1
        +DDB1 = { Class = GAMDataSource }                
        +LoggerDataSource = { Class = LoggerDataSource }
        +Timings = { Class = TimingDataSource }
        +Timer = {
            Class = LinuxTimer
            SleepNature = "Default"
            Signals = {
                Counter = { Type = uint32 }
                Time = { Type = uint32 }
            }
        }        
    }
    +States = {
        Class = ReferenceContainer
        +Run = {
            Class = RealTimeState
            +Threads = {
                Class = ReferenceContainer
                +Thread1 = {
                    Class = RealTimeThread 
                    CPUs = 0x1 
                    Functions = {
                      GAMTimer                         	      
                      Constants
                      GAMSimulink1
                      LoggerBroker
                    }
                }
            }
        }        
    }
    +Scheduler = {
        Class = GAMScheduler
        TimingDataSource = Timings
    }
}
